var kadm = require('kadm');
var keystone = kadm.getAdminPlus(),
	Types = kadm.Field.Types;

var config = require('../globalCnf');
var path = require('path');
// SET FOREIGN_KEY_CHECKS = 1;
var WxApp = new kadm.List('WxApp');
WxApp.add({
    name: { label:"name", type: String, required: true, initial:true },
    appId: { label:"appId", type: String, required: true, initial:true },
    appSecret: { label:"appSecret", type: String, required: true, initial:true },
    status:{label: "状态", type:Types.Select, options:config.app_statuses, default:config.APP_STATUS_UNABLE.value},
    createTime: {label:"创建时间", type: Types.Datetime, default:Date.now}
});

WxApp.controls = [
    {
        label:'编辑',
        icon:'edit',
        url:path.join('/', kadm.get('kadmPath'), 'innerapp', 'WxApp'),
    }
];
WxApp.isInnerApps = true;
WxApp.defaultColumns = 'name, appId, appSecret createTime|140';
WxApp.defaultSort = '-createTime';
WxApp.register();